package com.yanzhu.jh.base.service;

import java.util.List;
import com.yanzhu.jh.base.domain.BasePeriodical;

/**
 * 期刊Service接口
 * 
 * @author ruoyi
 * @date 2023-09-23
 */
public interface IBasePeriodicalService 
{
    /**
     * 查询期刊
     * 
     * @param id 期刊主键
     * @return 期刊
     */
    public BasePeriodical selectBasePeriodicalById(Long id);

    /**
     * 查询期刊列表
     * 
     * @param basePeriodical 期刊
     * @return 期刊集合
     */
    public List<BasePeriodical> selectBasePeriodicalList(BasePeriodical basePeriodical);

    /**
     * 新增期刊
     * 
     * @param basePeriodical 期刊
     * @return 结果
     */
    public int insertBasePeriodical(BasePeriodical basePeriodical);

    /**
     * 修改期刊
     * 
     * @param basePeriodical 期刊
     * @return 结果
     */
    public int updateBasePeriodical(BasePeriodical basePeriodical);

    /**
     * 批量删除期刊
     * 
     * @param ids 需要删除的期刊主键集合
     * @return 结果
     */
    public int deleteBasePeriodicalByIds(Long[] ids);

    /**
     * 删除期刊信息
     * 
     * @param id 期刊主键
     * @return 结果
     */
    public int deleteBasePeriodicalById(Long id);
}
